Create an import job
post
https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v5/importJob
Creates an import job using the supplied request payload and starts the import process.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : Item
Type:
objectTitle:
ItemThe importjob-post-request resource.
Show Source
-
path: string
The path of the file to upload.
-
primaryFile: object
primaryFile
The file to upload.
Nested Schema : primaryFile
Type:
objectThe file to upload.
Response
201 Response
The import job has been created successfully.
Root Schema : Empty Response
Type:
objectTitle:
Empty ResponseThe empty-response resource.
Show Source
400 Response
Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
Examples
The following example shows how to create a import job by submitting a POST request on the REST resource using cURL.
cURL Command
curl -u username:password -X POST https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/importJob/'
\ --header 'Content-Type: application/json' -D @create_importSpecifications.json | json_pp
Example of Response Body
The following example shows the contents of the response body in JSON
format.
{
"id": 47353,
"contentType": "application/json",
"status": "Not Started",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v5/importJob/47353",
"path": "tmf-api/productCatalogManagement/v4/importJob/Specifications_72.json",
"creationDate": "2020-08-20 18:28:09.974",
"@type": "ImportJob"
}